readCelHeader {affxparser} | R Documentation

## Parsing the header of an Affymetrix CEL file

### Description

Reads in the header of an Affymetrix CEL file using the Fusion SDK.

### Usage

    readCelHeader(filename)

### Arguments

`filename` | the name of the CEL file.

### Details

This function returns the header of a CEL file. Affymetrix operates with different versions of this file format. Depending on what version is being read, different information is accessible.

### Value

A named list with components described below. The entries are obtained from the Fusion SDK interface functions. We try to obtain all relevant information from the file.

`filename` | the name of the cel file.
`version` | the version of the cel file.
`cols` | the number of columns on the chip.
`rows` | the number of rows on the chip.
`total` | the total number of features on the chip. Usually equal to `rows` times `cols`, but since it is a separate attribute in the SDK we decided to include it anyway.
`algorithm` | the algorithm used to create the CEL file.
`parameters` | the parameters used in the algorithm. Seems to be semi-colon separated.
`chiptype` | the type of the chip.
`header` | the entire header of the CEL file. Only available for non-calvin format files.
`cellmargin` | a parameter used to generate the CEL file. According to Affymetrix, it designates the number of pixels to ignore around the feature border when calculating the intensity value (the number of pixels ignored are cellmargin divided by 2).
`noutliers` | the number of features reported as outliers.
`nmasked` | the number of features reported as masked.

### Note

Memory usage:the Fusion SDK allocates memory for the entire CEL file, when the file is accessed. The memory footprint of this function will therefore seem to be (rather) large.

Speed: CEL files of version 2 (standard text files) needs to be completely read in order to report the number of outliers and masked features.

### Author(s)

James Bullard, bullard@stat.berkeley.edu and Kasper Daniel Hansen, khansen@stat.berkeley.edu

### See Also

`readCel()` for reading in the entire CEL file. That function also returns the header. See `affxparserInfo` for general comments on the package and the Fusion SDK.

### Examples

      # Scan current directory for CEL files
      files <- list.files(pattern="[.](c|C)(e|E)(l|L)$")
      if (length(files) > 0) {
        header <- readCelHeader(files[1])
        print(header)
        rm(header)
      }

      # Clean up
      rm(files)

[Package affxparser version 1.6.2 Index]